1. geovanni11's Avatar
    hello
    well i recently attempted to upgrade my storm to 5.0 software from 4.7. Im not on verizon, and i purchased the phone from a friend, so i did not have the desktop software cd. Luckily, my friend still had his. Anyway ,well earlier I tried upgrading, and this message read "Invalid Configuration This Blackberry Device Software upgrade in only available to users with an active blackberry subscription. To learn more about Blackberry service, please visit blackberry.com/service" So i thought "crap, i dont have blackberry service." Luckily, I have you guys to help me out! So whats the deal how do I upgrade do I use a different method or am I permanently stuck with slow-4.7 software?Any help will be greatly appreciated Thanks!!
    05-03-10 02:36 AM
  2. anon4705193's Avatar
    Is the Blackberry you have active, even not on Verizon? You can't update a blackberry that isn't active on a data plan, as far as I know. I might be wrong so if someone wants to correct me, feel free. And you don't need those disks that came with the phone, you download the Desktop Manager (what you use on your computer with the phone) from blackberry.com --> software --> blackberry desktop software.

    To update the phone, you can follow the steps in this thread http://forums.crackberry.com/f135/in...esource-213706

    but you may need to provide more information, like what carrier are you going to use the phone on (because you'll need service books).
    05-03-10 09:28 AM
LINK TO POST COPIED TO CLIPBOARD